import { Component } from '@angular/core';
import { EditTransactionDetailsService } from '../edit-transaction-details.service';

@Component({
  selector: 'app-edit-transaction-details',
  templateUrl: './edit-transaction-details.component.html',
  styleUrls: ['./edit-transaction-details.component.css'],
})
export class EditTransactionDetailsComponent {
  CustomerDetails: any;
  TransactionNo: any;
  CustomerNationality: any;
  BeneficiaryNationality: any;

  constructor(
    private EditTransactionDetailsSvc: EditTransactionDetailsService
  ) {}

  ngOnInit(): void {
    this.getCustomerNationality();
    this.getBeneficiaryNationality();
  }

  getCustomerNationality() {
    this.EditTransactionDetailsSvc.getCustomerNationality().subscribe((res) => {
      this.CustomerNationality = res;
    });
  }

  getBeneficiaryNationality() {
    this.EditTransactionDetailsSvc.getBeneficiaryNationality().subscribe(
      (res) => {
        this.BeneficiaryNationality = res;
      }
    );
  }

  getCustomer() {
    if (this.TransactionNo) {
      this.EditTransactionDetailsSvc.getCustomerByTrnNo(
        this.TransactionNo
      ).subscribe((res: any) => {
        if (res?.length == 0) {
          alert('No data found.');
          return;
        }
        this.CustomerDetails = res[0];
        this.CustomerDetails.Total_Amount =
          this.CustomerDetails?.AgentLC_Amount +
          this.CustomerDetails?.BaseToBaseCommissionAmount;
      });
    } else {
      alert('Please Enter Transaction Number !');
    }
  }

  Edit() {
    const payload = {
      TransactionNo: String(this.TransactionNo),
      BeneficiaryFirstName: String(this.CustomerDetails.Beneficiary_Name_F),
      BeneficiaryLastName: String(this.CustomerDetails.Beneficiary_Name_L),
      BeneficiaryAddress: String(this.CustomerDetails.Beneficiary_Address),
      Landmark: String(this.CustomerDetails.Beneficiary_LandMark),
      ZipCode: String(this.CustomerDetails.Beneficiary_ZipCode),
      BeneficiaryMobileNo: String(this.CustomerDetails.Beneficiary_Mobile),
      BeneficiaryTeleNo: String(this.CustomerDetails.Beneficiary_Phone),
      BeneficiaryNationalityID: Number(
        this.CustomerDetails.Beneficiary_NationalityID
      ),
      CustomerNationalityID: Number(
        this.CustomerDetails.Customer_NationalityID
      ),
      G_UserID: String('0'),
    };

    this.EditTransactionDetailsSvc.Edit(payload).subscribe((res) => {
      alert(res);
    });
  }
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
}
