import { HttpClient, HttpClientJsonpModule, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ComplianceUploadReportService {
  url = environment.apiUrl;
  constructor(private http: HttpClient) {}

  getAllComplianceUploadReportRecords(fileType: string = '') {
    // Determine the base URL
    console.log(fileType,"gggg")
    let url = `${environment.apiUrl}/api/complicance/compliance-upload-report/all-record`;
  
    // If fileType is provided, append it as a query parameter
    if (fileType) {
      url += `?fileType=${fileType}`;
    }
    
  
    // Perform the HTTP GET request
    return this.http.get(url, {
      headers: {
        Authorization: getCacheData('admin_token') || '',  // Use || to provide a default value if getCacheData('admin_token') returns falsy
        Accept: 'application/json',
        username: getCacheData('username') || '',  // Use || to provide a default value if getCacheData('username') returns falsy
      },
    });
  }    
  
}