import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root'
})
export class ForexTreasuryService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getReports(): Observable<any> {
    return this.http.get<any[]>(`${this.url}/api/master/reports/agency/agency-sr-reports/report-type`, {
      headers: {
        Authorization: getCacheData('admin_token'),
        Accept: 'application/json',
        username: getCacheData('username'),
      }
    });
  }

  getCountries(): Observable<any> {
    return this.http.get<any[]>(`${this.url}/api/master/reports/agency/agency-sr-reports/country`, {
      headers: {
        Authorization: getCacheData('admin_token'),
        Accept: 'application/json',
        username: getCacheData('username'),
      }
    });
  }

  getAgents(countryId: number): Observable<any> {
    return this.http.get<any[]>(`${this.url}/api/master/reports/agency/agency-sr-reports/agent?CountryID=${countryId}`, {
      headers: {
        Authorization: getCacheData('admin_token'),
        Accept: 'application/json',
        username: getCacheData('username'),
      }
    });
  }

  getGridData(reportName: string, agentId: any, fromDate: string, detailedReport: boolean,ddlCriteria:string): Observable<any> {
    return this.http.get<any[]>(`${this.url}/api/master/reports/agency/agency-sr-reports/grid?ReportName=${reportName}&AgentID=${agentId}&FromDate=${fromDate}&DetailedReport=${detailedReport}&ddlCriteria=${ddlCriteria}`, {
      headers: {
        Authorization: getCacheData('admin_token'),
        Accept: 'application/json',
        username: getCacheData('username'),
      }
    });
  }
}
