import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root'
})
export class ManageComplianceRejectionService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}




  rejectionReason() {
    return this.http.get(
      `${environment.apiUrl}/api/compliance/compliance-rejection-reason/all-record`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getRejectionReason() {
    return this.http.get(
      `${environment.apiUrl}/api/compliance-management/rejection-reason-flag/grid`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  rejectionReasonEdit(RejectionID:any) {
    return this.http.get(
      `${environment.apiUrl}/api/compliance/compliance-rejection-reason/edit?RejectionID=${RejectionID}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  rejectionReasonAdd(payload: any) {
   
    return this.http.post(
      `${environment.apiUrl}/api/compliance/compliance-rejection-reason/add
      `,
      payload,
      {
        headers:  {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
 updateReason(payload: any) {
   
    return this.http.patch(
      `${environment.apiUrl}/api/compliance/compliance-rejection-reason/update
      `,
      payload,
      {
        headers:  {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
