import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class MisReportService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getReportTypes(): Observable<any> {
    return this.http.get<any[]>(
      `${this.url}/api/master/reports/agency/mis-audit-reports/report-type`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendCountries(): Observable<any> {
    return this.http.get<any[]>(
      `${this.url}/api/master/reports/agency/mis-audit-reports/send-country`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendAgents(countryId: number): Observable<any> {
    return this.http.get<any[]>(
      `${this.url}/api/master/reports/agency/mis-audit-reports/send-agent?SendCountryID=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getReceiveCountries(): Observable<any> {
    return this.http.get<any[]>(
      `${this.url}/api/master/reports/agency/mis-audit-reports/rece-country`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getReceiveAgents(countryId: number): Observable<any> {
    return this.http.get<any[]>(
      `${this.url}/api/master/reports/agency/mis-audit-reports/rece-agent?SendCountryID=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
