import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ViewSendingSubAgentMarginService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getSendingCountryList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/sending-country?AgentID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getReceiveCountryList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/receive-country?AgentID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAllRecord(sendCountryId: any = 0, receiveCountryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/all-record?SendCountryID=${sendCountryId}&ReceiveCountryID=${receiveCountryId}&SendAgentID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendCurrencyList(agentId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/send-currency?AgentID=${agentId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getReceiveCountryAddList(baseCountryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/receive-country-insert?BaseCountryID=${baseCountryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getReceiveCurrencyList(countryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/receive-currency?CountryID=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  addSendingSubAgentMargin(payload: any = {}) {
    return this.http.post(
      `${environment.apiUrl}/api/master/sending-sub-agent-margin/insert`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
